### Method

# PapersDocument Document render

#### Declaration [src]

    cairo_surface_t*
    pps_document_render (
      PpsDocument* document,
      PpsRenderContext* rc
    )

#### Description

No description available.

#### Parameters

`rc`

  Type: `PpsRenderContext`

  No description available.

  The data is owned by the caller of the method.

#### Return value

Type: `cairo_surface_t`

No description available.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.